petsc-3.4.2 2013-07-02

# Vec

Abstract PETSc vector object

### Synopsis

    typedef struct _p_Vec*         Vec;

### See Also

VecCreate(), VecType, VecSetType()

Level:beginner
Location:src/vec/vec/../../../include/petscvec.h
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/vec/examples/tutorials/ex7.c.html
src/vec/vec/examples/tutorials/ex1f90.F.html
src/vec/vec/examples/tutorials/ex20f90.F90.html
src/mat/examples/tutorials/ex4.c.html
src/dm/examples/tutorials/ex10.c.html
src/dm/examples/tutorials/ex6f90.F.html
src/dm/examples/tutorials/ex11f90.F.html
src/ksp/ksp/examples/tutorials/ex9.c.html
src/ksp/ksp/examples/tutorials/ex15.c.html
src/ksp/ksp/examples/tutorials/ex25.c.html
src/ksp/ksp/examples/tutorials/ex28.c.html